# SwishSearch::setLimit

(PECL swish >= 0.1.0)

SwishSearch::setLimit — Set the search limits

### Description

SwishSearch::setLimit ( string `$property` , string `$low` , string `$high` ) : void
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`property`

  Search result property name.

`low`

  The lowest value of the property.

`high`

  The highest value of the property.

### Return Values

No value is returned.

### Errors/Exceptions

Throws SwishException on error.

### Examples

Example #1 Basic SwishSearch::setLimit() example

`<?php
try {
$swish = new Swish("index.swish-e");
$search = $swish->prepare();
$results = $search->execute("time");
echo "First query found: ", $results->hits, " hits\n";
$i = 0;
while($result = $results->nextResult()) {
echo "Hit #", ++$i, " - ", $result->swishdocsize, " bytes\n";
}
$search->setLimit("swishdocsize", "3000", "6000"); //limit by document size, from 3000 to 6000 bytes
$results = $search->execute("time");
echo "Second query found: ", $results->hits, " hits\n";
$i = 0;
while($result = $results->nextResult()) {
echo "Hit #", ++$i, " - ", $result->swishdocsize, " bytes\n";
}
} catch (SwishException $e) {
echo $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    First query found: 5 hits
    Hit #1 - 4261 bytes
    Hit #2 - 37937 bytes
    Hit #3 - 7126 bytes
    Hit #4 - 15427 bytes
    Hit #5 - 4768 bytes
    Second query found: 2 hits
    Hit #1 - 4261 bytes
    Hit #2 - 4768 bytes